gnutls_x509_crt_set_expiration_time(3)

NAME
gnutls_x509_crt_set_expiration_time - Set the Certificate's expiration time

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_expiration_time(gnutls_x509_crt_t cert, time_t exp_time);

ARGUMENTS

gnutls_x509_crt_t cert
    a certificate of type gnutls_x509_crt_t

time_t exp_time
    The actual time

DESCRIPTION
This function will set the time this Certificate will expire.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.